import { Component, computed, input } from '@angular/core';
import { ExpenseIncomeVariant } from '../../types/ExpenseIncomeVariants';

@Component({
  selector: 'mw-abstract-expense-income-detail',
  standalone: true,
  imports: [],
  template: '',
  styles: ''
})
export class AbstractExpenseIncomeDetailComponent {
  variant = input<ExpenseIncomeVariant>('income');
  amount = input(0);
  amountProps = computed(() => ({
    amount: this.amount(),
    color: this.variant() === 'income' ? 'var(--mw-green)' : 'var(--mw-red)'
  }));
  description = input('')
  iconProps = input({
    symbol:"",
    backgroundColor:"var(--mw-white)",
    color:"var(--mw-white)"
  });
  whom = input('');
}
